# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name shakespeare-i18n

Name:           ghc-%{pkg_name}
Version:        1.0.0.3
Release:        4%{?dist}
Summary:        Type-based internationalization

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
ExclusiveArch:  %{ghc_arches_with_ghci}
# End cabal-rpm deps

%description
This package uses a compile-time, type-safe approach to create translated
content. It has a simple syntax for translators, while allowing the full power
of Haskell for applying complex grammar rules.

This package was spun off from yesod-core, and therefore the Yesod
documentation is a good place to start in understanding this package.
Please see <http://www.yesodweb.com/book/shakespearean-templates> for more
information.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 30 2013 Jens Petersen <petersen@redhat.com> - 1.0.0.3-2
- rebuild

* Sun Jul 21 2013 Jens Petersen <petersen@redhat.com> - 1.0.0.3-1
- summary

* Sun Jul 21 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.0.0.3-0
- spec file generated by cabal-rpm-0.8.3
